<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [useOnEditStep](./react.useoneditstep.md)

## useOnEditStep() function

A hook to get the onEditStep callback

<b>Signature:</b>

```typescript
export declare function useOnEditStep(setStep: (step: Step) => void, setStepIndex: (index: number) => void, showTableModal: () => void): (step: Step, index: number) => void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  setStep | (step: Step) =&gt; void | The step setter |
|  setStepIndex | (index: number) =&gt; void | The step-index setter |
|  showTableModal | () =&gt; void | A callback to show the table modal |

<b>Returns:</b>

(step: Step, index: number) =&gt; void


